<mat-card class="housing-preferences-main-card mat-elevation-z0">
  <div class="example-small-box mat-elevation-z4" fxLayout="column">
    <div class="example-container mat-elevation-z4">
      <mat-card class="m-card" style="margin-top: 5px;">
        <mat-card-header>
          <mat-card-title>Borough Preferences</mat-card-title>
        </mat-card-header>
        <mat-card-content>
          <mat-card [class.mat-elevation-z0]="true" style="padding: 0px;">
            <mat-card-content>
              <form [formGroup]="boroughGroup">
                <div class="content-sub" style="width: 100%;" flex>
                  <div fxFlex="100">
                    <div class="borough-label">
                      <mat-lable class="required-label-color">1st Preference:</mat-lable>
                    </div>
                    <div fxFlex="auto" class="borough-option">
                      <mat-radio-group formControlName="preferenceOneCtrl" aria-label="Select an option">
                        <mat-radio-button *ngFor="let itm of boroughOptions" class="radio-button"
                          [value]="itm.refGroupDetailID" (change)="onBoroughChange(1,$event)">
                          {{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                      </mat-radio-group>
                    </div>
                    <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                      <mat-lable>Source: {{appPrefFlag?.isBoroughPreference1Changed ? 'user' : 'system'}} </mat-lable>
                    </div>
                  </div>
                </div>
                <br />

                <div class="content-sub" style="width: 100%;" flex>
                  <div fxFlex="100">
                    <div class="borough-label">
                      <mat-lable class="required-label-color">2nd Preference:</mat-lable>
                    </div>
                    <div fxFlex="auto" class="borough-option">
                      <mat-radio-group formControlName="preferenceTwoCtrl" aria-label="Select an option">
                        <mat-radio-button *ngFor="let itm of boroughOptions" class="radio-button"
                          [value]="itm.refGroupDetailID" (change)="onBoroughChange(2,$event)">
                          {{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                      </mat-radio-group>
                    </div>
                    <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                      <mat-lable>Source: {{appPrefFlag?.isBoroughPreference2Changed ? 'user' : 'system'  }} </mat-lable>
                    </div>
                  </div>

                </div>
                <br />

                <div class="content-sub" style="width: 100%;" flex>
                  <div fxFlex="100">
                    <div class="borough-label">
                      <mat-lable class="required-label-color">Do you have a particular borough of exclusion?</mat-lable>
                    </div>
                    <div fxFlex="auto" class="borough-option">
                      <mat-radio-group formControlName="excludeBoroughCtrl" aria-label="Select an option">
                        <mat-radio-button *ngFor="let itm of boroughOptions" class="radio-button"
                          [value]="itm.refGroupDetailID" (change)="onBoroughChange(3,$event)">
                          {{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                      </mat-radio-group>
                    </div>
                    <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                      <mat-lable>Source: {{appPrefFlag?.isBoroughExclusionChanged ? 'user' : 'system'}} </mat-lable>
                    </div>
                  </div>

                </div>
                <div *ngIf="showExcludeComments">
                  <div fxFlex="100">
                    <mat-lable style="margin-left: 20px;" class="required-label-color">
                      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Comments:</mat-lable>
                    <mat-form-field appearance="outline" class="text-area" style="margin-left: 27px;">
                      <textarea formControlName="excludeCommentsCtrl" (change)="onExcludeCommentsChange()"
                        cdkTextareaAutosize cdkAutosizeMinRows="1" cdkAutosizeMaxRows="4" maxlength="250"
                        matInput></textarea>
                    </mat-form-field>
                    <div fxFlex="15" *ngIf="parentPageID === 2" fxLayoutAlign="end">
                      <mat-lable>Source: {{appPrefFlag?.isBoroughExclusionCommentChanged ? 'user' : 'system'}}
                      </mat-lable>
                    </div>
                  </div>

                </div>
                <br />

                <div class="content-sub" style="width: 100%;" flex>
                  <div fxFlex="100">
                    <div class="borough-label">
                      <mat-lable class="required-label-color">In which borough are most of your services located?
                      </mat-lable>
                    </div>
                    <div fxFlex="auto" class="borough-option">
                      <mat-radio-group formControlName="serviceLocatedCtrl" aria-label="Select an option">
                        <mat-radio-button *ngFor="let itm of serviceLocatedOptions" class="radio-button"
                          [value]="itm.refGroupDetailID" (change)="onBoroughChange(4,$event)">
                          {{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                      </mat-radio-group>
                    </div>
                    <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                      <mat-lable>Source: {{appPrefFlag?.isBoroughServiceLocatedChanged ? 'user' : 'system'}} </mat-lable>
                    </div>
                  </div>

                </div>
                <br />
              </form>
            </mat-card-content>
          </mat-card>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</mat-card>
<mat-card class="housing-preferences-main-card mat-elevation-z0" style="margin-top: 10px;">
  <div class="example-small-box mat-elevation-z4" fxLayout="column">
    <div class="example-container mat-elevation-z4">
      <mat-card class="m-card" style="margin-top: 10px;">
        <mat-card-header>
          <mat-card-title>Apartment Preferences</mat-card-title>
        </mat-card-header>
        <mat-card-content>
          <form [formGroup]="apartmentGroup">
            <br />
            <div style="width: 100%;">
              <div class="content-sub" style="width: 100%" flex>
                <div fxFlex="100">
                  <div class="apartment-label">
                    <mat-lable class="required-label-color">Are you willing to share an apartment?</mat-lable>
                  </div>
                  <div fxFlex="auto" class="apartment-option">
                    <mat-radio-group formControlName="question1Ctrl" aria-label="Select an option"
                      class="radio-button test">
                      <mat-radio-button *ngFor="let itm of apartmentOptions" (change)="onApartmentChange(1,$event)"
                        [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                  </div>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefWillingToShareTypeChanged ? 'user' : 'system'}}
                    </mat-lable>
                  </div>
                </div>


              </div>
              <div *ngIf="showAptShareComments">
                <div fxFlex="100">
                  <mat-lable style="margin-left: 39px;" class="required-label-color">Comments:</mat-lable>
                  <mat-form-field appearance="outline" class="text-area">
                    <textarea formControlName="question1CommentsCtrl" (change)="onSharedCommentsChange()"
                      cdkTextareaAutosize cdkAutosizeMinRows="1" cdkAutosizeMaxRows="4" maxlength="250"
                      matInput></textarea>
                  </mat-form-field>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxLayoutAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefWillingToShareCommentChanged ? 'user' : 'system'}}
                    </mat-lable>
                  </div>
                </div>
              </div>

              <br />
              <div class="content-sub" style="width: 100%" flex>
                <div fxFlex="100">
                  <div class="apartment-label">
                    <mat-lable class="required-label-color">Do you require an elevator or first floor apartment because
                      of mobility or visual impairment?</mat-lable>
                  </div>
                  <div fxFlex="auto" class="apartment-option">
                    <mat-radio-group formControlName="question2Ctrl" aria-label="Select an option" class="radio-button">
                      <mat-radio-button *ngFor="let itm of apartmentOptions" (change)="onApartmentChange(2,$event)"
                        [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                  </div>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefElevatorOr1stFloorTypeChanged ? 'user' : 'system'}}
                    </mat-lable>
                  </div>
                </div>

              </div>
              <br />
              <div class="content-sub" style="width: 100%" flex>
                <div fxFlex="100">
                  <div class="apartment-label">
                    <mat-lable class="required-label-color">Do you need a wheelchair accessible apartment?</mat-lable>
                  </div>
                  <div fxFlex="auto" class="apartment-option">
                    <mat-radio-group formControlName="question3Ctrl" aria-label="Select an option" class="radio-button">
                      <mat-radio-button *ngFor="let itm of apartmentOptions" (change)="onApartmentChange(3,$event)"
                        [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                  </div>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefWheelchairAccessTypeChanged ? 'user' : 'system'}}
                    </mat-lable>
                  </div>
                </div>

              </div>
              <br />
              <div class="content-sub" style="width: 100%" flex>
                <div fxFlex="100">
                  <div class="apartment-label">
                    <mat-lable class="required-label-color">Will you live in a smoke free building?</mat-lable>
                  </div>
                  <div fxFlex="auto" class="apartment-option">
                    <mat-radio-group formControlName="question4Ctrl" aria-label="Select an option" class="radio-button">
                      <mat-radio-button *ngFor="let itm of apartmentOptions" (change)="onApartmentChange(4,$event)"
                        [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                  </div>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefSmokeFreeTypeChanged ? 'user' : 'system'}} </mat-lable>
                  </div>
                </div>

              </div>
              <br />
              <div class="content-sub" style="width: 100%" flex>
                <div fxFlex="100">
                  <div class="apartment-label">
                    <mat-lable class="required-label-color">Are you interested in supportive housing programs that work
                      especially with Lesbian, Gay, Bisexual, Transgender, Non-Binary and Questioning People?
                    </mat-lable>
                  </div>
                  <div fxFlex="auto" class="apartment-option">
                    <mat-radio-group formControlName="question5Ctrl" aria-label="Select an option" class="radio-button">
                      <mat-radio-button *ngFor="let itm of apartmentOptions" (change)="onApartmentChange(5,$event)"
                        [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                  </div>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefStaywithLGBTTypeChanged ? 'user' : 'system'}} </mat-lable>
                  </div>
                </div>

              </div>
              <br />
              <div class="content-sub" style="width: 100%" flex>
                <div fxFlex="100">
                  <div class="apartment-label">
                    <mat-lable class="required-label-color">Do you require translation services in order to participate
                      in a housing interview? </mat-lable> {{preference?.primaryLanguage}}
                  </div>
                  <div fxFlex="auto" class="apartment-option">
                    <mat-radio-group formControlName="question6Ctrl" aria-label="Select an option" class="radio-button">
                      <mat-radio-button *ngFor="let itm of apartmentOptions1" (change)="onApartmentChange(6,$event)"
                        [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                  </div>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefNeedTranslatorTypeChanged ? 'user' : 'system'}}
                    </mat-lable>
                  </div>
                </div>

              </div>
              <br />
              <div class="content-sub" style="width: 100%" flex>
                <div fxFlex="100">
                  <div class="apartment-label">
                    <mat-lable class="required-label-color">Do you have a service and/or emotional support animal?
                    </mat-lable>
                  </div>
                  <div fxFlex="auto" class="apartment-option">
                    <mat-radio-group formControlName="question7Ctrl" aria-label="Select an option" class="radio-button">
                      <mat-radio-button *ngFor="let itm of apartmentOptions1" (change)="onApartmentChange(7,$event)"
                        [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                  </div>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefEmoSupportAnimalTypeChanged ? 'user' : 'system'}}
                    </mat-lable>
                  </div>
                </div>

              </div>
              <br />
              <!-- <div class="content-sub" *ngIf="parentPageID == 1">    -->
              <div class="content-sub" style="width: 100%" flex>
                <div fxFlex="100">
                  <div class="apartment-label">
                    <mat-lable class="required-label-color">Other Preferences:</mat-lable>
                  </div>
                  <div fxFlex="auto" class="apartment-option">
                    <mat-radio-group formControlName="question8Ctrl" aria-label="Select an option" class="radio-button">
                      <mat-radio-button *ngFor="let itm of apartmentOptions1" (change)="onApartmentChange(8,$event)"
                        [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                  </div>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxFlexAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefOtherTypeChanged ? 'user' : 'system'}} </mat-lable>
                  </div>
                </div>


              </div>
              <div *ngIf="showOtheComments">
                <div fxFlex="100">
                  <mat-lable style="margin-left: 39px;" class="required-label-color">Comments:</mat-lable>
                  <mat-form-field appearance="outline" class="text-area">
                    <textarea formControlName="question8CommentsCtrl" (change)="onOtherTextChange()" cdkTextareaAutosize
                      cdkAutosizeMinRows="1" cdkAutosizeMaxRows="4" maxlength="250" matInput></textarea>
                  </mat-form-field>
                  <div fxFlex="15" *ngIf="parentPageID === 2" fxLayoutAlign="end">
                    <mat-lable>Source: {{appPrefFlag?.isAptPrefOtherCommentChanged ? 'user' : 'system'}} </mat-lable>
                  </div>
                </div>

              </div>
            </div>
            <br />

          </form>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</mat-card>

<!-- <mat-card class="housing-preferences-main-card mat-elevation-z0" style="margin-top: 10px;" *ngIf="parentPageID != 1">
    <div class="example-small-box mat-elevation-z4" fxLayout="column">
      <div class="example-container mat-elevation-z4">
        <mat-card  style="margin-top: 10px;">
          <mat-card-header>
            <mat-card-title>Housing Preferences</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <form [formGroup]="housingGroup">
              <br/>
              <div style="width: 100%;padding-left: 15px;"flex>
                <div class="content-sub">
                  <div style="float: left;" [ngStyle]="{'width':'55%' }">
                    <mat-lable class="required-label-color">Type of residence</mat-lable>
                  </div>
                  <mat-radio-group formControlName="question9Ctrl" aria-label="Select an option" class="radio-button">
                    <mat-radio-button *ngFor="let itm of residenceOptions"  (change)="onApartmentChange(9,$event)" [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                </div>
                <br/>
                <div class="content-sub">
                  <div style="float: left;" [ngStyle]="{'width':'55%' }">
                    <mat-lable class="required-label-color">Other Preferences:</mat-lable>
                  </div>
                  <mat-radio-group formControlName="question10Ctrl" aria-label="Select an option" class="radio-button">
                    <mat-radio-button *ngFor="let itm of apartmentOptions1"  (change)="onApartmentChange(10,$event)" [value]="itm.refGroupDetailID">{{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                    </mat-radio-group>
                <div *ngIf="showHousingOtheComments">
                  <mat-lable class="required-label-color">Comments:</mat-lable>
                    <mat-form-field appearance="outline" class="text-area">
                      <textarea formControlName="question10CommentsCtrl" (change)="onHousingOtherTextChange()"
                            cdkTextareaAutosize
                            cdkAutosizeMinRows="1"
                            cdkAutosizeMaxRows="4"
                            maxlength="250" matInput></textarea>
                    </mat-form-field>
                </div>
                </div>
                <br/>
              </div>
            </form>
          </mat-card-content>
      </mat-card>
      </div>
    </div>
  </mat-card> -->
